List API clients
GET
/auth/clients
const url = 'https://apisandbox.puurk.com/auth/clients';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://apisandbox.puurk.com/auth/clients \ --header 'Authorization: Bearer <token>'Returns all registered API clients
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Successful operation
Media typeapplication/json
Array<object>
object
id
Unique identifier
string
name
Client name
string
scopes
Authorized scopes
Array<object>
object
resource
Resource the scope applies to (e.g. checkout)
string
oid
Organization ID (null for all organizations)
string
public
Marks a publishable (browser) scope. Only honored on a checkout scope bound to one organization, on a client with allowed_origins.
boolean
actions
Permitted actions
Array<string>
keys
API key IDs
Array<string>
allowed_ips
Allowed IP addresses
Array<string>
allowed_origins
Browser origins (e.g. https://shop.example.com) allowed to use this client as a publishable client. Required, and must be non-empty, for a public checkout scope to be honored.
Array<string>
cert_fingerprint
Certificate fingerprint
string
metadata
Custom metadata
object
key
additional properties
any
active
Whether the client is active
boolean
created_at
Creation date
string format: date-time
updated_at
Last update date
string format: date-time
Example
[ { "scopes": [ { "actions": [ "read" ] } ] }]Unauthorized